=== debian/changelog ===
ocaml-pprint (20220103-1) unstable; urgency=medium

  * Initial release. (Closes: #1014118)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Jun 2022 17:45:29 +0200
