=== debian/control ===
Source: ocaml-pprint
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               dune,
               ocaml-findlib,
               ocaml-nox
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/fpottier/pprint
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-pprint.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-pprint

Package: libpprint-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: Pretty printing toolbox for OCaml (runtime files)
 OCaml library for pretty-printing textual documents. It takes
 care of indentation and line breaks, and is typically used
 on code.
 .
 This package contains the runtime files to use the library.

Package: libpprint-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Suggests: ocaml-findlib
Provides: ${ocaml:Provides}
Description: Pretty printing toolbox for OCaml (dev files)
 OCaml library for pretty-printing textual documents. It takes
 care of indentation and line breaks, and is typically used
 on code.
 .
 This package contains the development files for the library.
