## ocaml-pprint 20230830

=== Makefile ===
--- 
+++ 
@@ -18,16 +18,16 @@
 
 .PHONY: clean
 clean:
-	@ git clean -fX
+	@ git clean -fdX
 
 .PHONY: test
 test:
-	@ dune runtest --force
+	@ dune exec test/PPrintTest.exe
 
 .PHONY: bench
 bench:
-	@ dune build ./bench/PPrintBench.exe
-	@ time dune exec ./bench/PPrintBench.exe
+	@ make -C benchmark_old $@
+	@ make -C benchmark_new $@
 
 .PHONY: install
 install: all
@@ -91,7 +91,6 @@
 #   opam switch create 4.03.0
 
 VERSIONS := \
-  4.02.3 \
   4.03.0 \
   4.04.2 \
   4.05.0 \
@@ -104,6 +103,8 @@
   4.11.1 \
   4.12.0 \
   4.13.0 \
+  4.14.1 \
+  5.0.0 \
 
 .PHONY: versions
 versions:
@@ -122,7 +123,7 @@
 
 .PHONY: headache
 headache:
-	@ for f in src/*.{ml,mli} bench/*.{ml,mli} ; do \
+	@ for f in {src,benchmark_old}/*.{ml,mli} benchmark_new/*.ml ; do \
 	  $(HEADACHE) -h $(HEADER) $$f ; \
 	done
 
@@ -175,10 +176,23 @@
 MENHIR_WORKING_COPY=$(HOME)/dev/menhir
 PPRINT_COPY=$(MENHIR_WORKING_COPY)/pprint
 
+UNNECESSARY= \
+  .git \
+  .gitignore \
+  Makefile \
+  README.md \
+  TODO.md \
+  benchmark_old \
+  benchmark_new \
+  blog \
+  header \
+  test \
+  src/Makefile \
+
 .PHONY: menhir
 menhir: clean
 # Copy our source files to the Menhir repository.
 	@ rm -rf $(PPRINT_COPY)
 	@ cp -r $(shell pwd) $(PPRINT_COPY)
 # Remove a number of unneeded files and subdirectories.
-	@ (cd $(PPRINT_COPY) && rm -rf .git .gitignore Makefile README.md TODO.md bench blog header test src/Makefile)
+	@ (cd $(PPRINT_COPY) && rm -rf $(UNNECESSARY))
