=== benchmark_old/Makefile ===
.PHONY: all
all:
	dune build @all

.PHONY: clean
clean:
	git clean -fX .

.PHONY: bench
bench:
	dune exec ./PPrintBench.exe
