=== debian/changelog ===
ocaml-pprint (20230830-1build4) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:02:27 +0200

ocaml-pprint (20230830-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 09:20:21 +0100

ocaml-pprint (20230830-1build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:16:13 +0200

ocaml-pprint (20230830-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:14:47 +0100

ocaml-pprint (20230830-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 06:42:22 +0200

ocaml-pprint (20220103-3) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:56:32 +0200

ocaml-pprint (20220103-2) unstable; urgency=medium

  * Fix compilation with recent dune.
  * Bump standards-version to 4.6.2

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 12:16:32 +0200
