=== debian/watch ===
version=4
https://github.com/fpottier/pprint/tags .*/([\d\.]+).tar.gz
